petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCCHOLESKY

Uses a direct solver, based on Cholesky factorization, as a preconditioner

### Options Database Keys

| -pc_factor_reuse_ordering | - Activate PCFactorSetReuseOrdering()
| -pc_factor_mat_solver_package | - Actives PCFactorSetMatSolverPackage() to choose the direct solver, like superlu
| -pc_factor_reuse_fill | - Activates PCFactorSetReuseFill()
| -pc_factor_fill <fill> | - Sets fill amount
| -pc_factor_in_place | - Activates in-place factorization
| -pc_factor_mat_ordering_type <nd,rcm,...> | - Sets ordering routine

Notes: Not all options work for all matrix formats

Notes: Usually this will compute an "exact" solution in one iteration and does not need a Krylov method (i.e. you can use -ksp_type preonly, or KSPSetType(ksp,KSPPREONLY) for the Krylov method

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PC,
PCILU, PCLU, PCICC, PCFactorSetReuseOrdering(), PCFactorSetReuseFill(), PCFactorGetMatrix(), PCFactorSetFill(), PCFactorSetShiftNonzero(), PCFactorSetShiftType(), PCFactorSetShiftAmount() PCFactorSetUseInPlace(), PCFactorGetUseInPlace(), PCFactorSetMatOrderingType()

Level:beginner
Location:src/ksp/pc/impls/factor/cholesky/cholesky.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex52.c.html